CoCoALib - Feature #872

LinSolve for matrices over FFp
26 Apr 2016 19:05 - John Abbott

Status:
Priority:
Assignee:
Category:

Target version:

In Progress
John Abbott
Improving

CoCoALib-0.99880

Start date:

Due date:

% Done:
Estimated time:

Spent time:

26 Apr 2016

30%
0.00 hour
15.10 hours

Description

Currently CoCoALib uses generic code for solving linear systems over small finite fields.

Implement some special code for some matrix ops over SmallFp.

May need some special "matrix" classes; perhaps not compatible with normal CoCoALib matrices.

Related issues:

Related to CoCoALib - Feature #125: Matrix equation solving; linear system so...

In Progress

05 Apr 2012

History

#1 - 26 Apr 2016 19:06 - John Abbott

- Related to Feature #125: Matrix equation solving; linear system solving added

#2 - 20 Feb 2017 13:40 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- Priority changed from Normal to High

- % Done changed from 0 to 10

Currently | am just adding the "keyword" MatrixFp

Some code has already been written, and it is in the file src/AlgebraicCore/MatrixFp.

| have just checked it in, even though it is surely incomplete (I'm fed up with having to play silly gymnastics when | check in the Makefile).

Boosted priority to high. All | have to do is find the time to do the work.

#3 - 06 Nov 2017 13:42 - John Abbott

- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99600

#4 - 18 Jan 2018 16:09 - John Abbott

- % Done changed from 10 to 30

| have implemented a version of "LinDepMill" for MatrixFp.

This should be a good basis for further impls.

Note hat LinDepMill will use the MatrixFp version if it can.

#5 - 01 Aug 2018 11:27 - John Abbott
- Target version changed from CoCoALib-0.99600 to CoCoALib-0.99650 November 2019
#6 - 01 Oct 2019 12:09 - John Abbott
- Priority changed from High to Urgent
- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99700

#7 - 08 Jan 2020 23:02 - John Abbott
- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

#8 - 04 Nov 2020 12:11 - John Abbott
- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#9 - 08 Mar 2024 17:36 - John Abbott
- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
